Page MenuHomePhabricator

CX2 - Validation for page title
Closed, DeclinedPublic

Description

This task is a follow-up of T190804: CX2: Error for invalid characters in the title.

https://en.wikipedia.org/wiki/Wikipedia:Page_name#Technical_restrictions_and_limitations

(1) Are we going to catch the titles with characters that are silently dropped?
e.g. :Mavetuna will be published as Mavetuna (the colon is dropped, according to the following restriction:

A pagename cannot begin with a colon :.

(2) Although # is a invalid character, it's allowed in translated page titles in cx-testing. Even more, having # in the page title will make other invalid chars "valid", so a page title like # < > [ ] | { } _ seems to be valid in cx2-testing.

(3) "H#e|ge|||||||||||||||||" (no quotes) also seems to be valid and redirects to http://cx2-testing.wmflabs.org/index.php/H#e.7Cge.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C.7C (discarding all characters after H):

(4) Not all errors are communicated clearly to a user - in the screenshot the error message appears, but there are no details in the side panel. In the screenshot, the focus is on the invalid title, but no side panel error is displayed.

(5) The documentation pages needs to be updated - https://en.wikipedia.org/wiki/Wikipedia:Page_name#Technical_restrictions_and_limitations and https://meta.wikimedia.org/wiki/Help:Page_name#Restrictions have slightly different list of restricted characters that are not allowed in the page title.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 9:47 PM
Pginer-WMF triaged this task as Low priority.Jun 27 2018, 11:00 AM
Pginer-WMF moved this task from Needs Triage to CX2 on the ContentTranslation board.
Vvjjkkii renamed this task from CX2 - Validation for page title to 8aaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 8aaaaaaaaa to CX2 - Validation for page title.Jul 2 2018, 9:58 AM
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Arrbee moved this task from CX2 to Check & Move on the ContentTranslation board.Mon, Nov 11, 8:19 AM
Pginer-WMF closed this task as Declined.Mon, Nov 11, 8:58 AM
Pginer-WMF added a subscriber: Pginer-WMF.

Those are valid and interesting edge cases for invalid titles. However, given that when translating users are starting from a title that was already valid, these seem less likely to occur in practice. If reality proves otherwise, we can consider reopening this ticket.